> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a background check raw report

> Returns the requested subject's raw background check report as a base64-encoded JSON payload.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_heron_id}/background_check/subjects/{subject_key}/raw_report
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_heron_id}/background_check/subjects/{subject_key}/raw_report:
    get:
      tags:
        - EndUsers
      summary: Download a background check raw report
      description: >-
        Returns the requested subject's raw background check report as a
        base64-encoded JSON payload.
      parameters:
        - description: The Heron ID of the end user
          in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
        - description: The background check subject whose raw report should be downloaded
          in: path
          name: subject_key
          required: true
          schema:
            enum:
              - owner_1
              - owner_2
              - business
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BackgroundCheckRawReportSchema'
          description: OK
        '404':
          description: End user or raw report not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    BackgroundCheckRawReportSchema:
      properties:
        file_b64:
          description: Base64-encoded raw report bytes
          type: string
        filename:
          description: Suggested download filename
          type: string
        mime_type:
          description: MIME type of the raw report
          type: string
      required:
        - file_b64
        - filename
        - mime_type
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````